[
	{
		"objName":"drawMC",
		"initSettings":[{"name":"allowMouse", "value":true},
						{"name":"drawSize", "value":0.2},
						{"name":"penSize", "value":0.2},
						{"name":"markSize", "value":2},
						{"name":"eraserSize", "value":0.5},
						{"name":"allowErase", "value":false},
						{"name":"color", "value":"0xE1182A"},
						{"name":"colorAlpha", "value":0.3},
						{"name":"allowZoom", "value":false},
						{"name":"zoomNum", "value":1},
						{"name":"drawTool", "value":null}
					]
	},{
		"objName":"inv_btn",
		"initSettings":[{"name":"useHandCursor", "value":false},{"name":"alpha", "value":0}]
	},{
		"objName":"move_btn",
		"clickFunc":"clickMoveTB",
		"mouseOverFunc":"rollOverMoveTB",
		"mouseOutFunc":"rollOutMoveTB"
	},{
		"objName":"close_btn",
		"clickFunc":"clickCloseTB"
	},{
		"objName":"mouse_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"frame":"2",
			"clickFunc":"clickMouse",
			"group":"activeBtns"
		}]
	},{
		"objName":"pencil_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"frame":"1",
			"clickFunc":"clickToDraw",
			"initSettings":[{"name":"group", "value":"activeBtns"}, {"name":"_val", "value":"penSize"}, {"name":"_var", "value":"drawSize"}]
		},{
			"objName":"size_0",
			"frame":"2",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsPencil"}, {"name":"_val", "value":0.2}, {"name":"_var", "value":"penSize"}]
		},{
			"objName":"size_1",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsPencil"}, {"name":"_val", "value":0.5}, {"name":"_var", "value":"penSize"}]
		},{
			"objName":"size_2",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsPencil"}, {"name":"_val", "value":0.8}, {"name":"_var", "value":"penSize"}]
		},{
			"objName":"size_3",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsPencil"}, {"name":"_val", "value":1}, {"name":"_var", "value":"penSize"}]
		}]
	},{
		"objName":"marker_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"group":"activeBtns",
			"frame":"1",
			"clickFunc":"clickToDraw",
			"initSettings":[{"name":"group", "value":"activeBtns"}, {"name":"_val", "value":"markSize"}, {"name":"_var", "value":"drawSize"}]
		},{
			"objName":"size_0",
			"frame":"2",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsMarker"}, {"name":"_val", "value":2}, {"name":"_var", "value":"markSize"}]
		},{
			"objName":"size_1",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsMarker"}, {"name":"_val", "value":3}, {"name":"_var", "value":"markSize"}]
		},{
			"objName":"size_2",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsMarker"}, {"name":"_val", "value":4}, {"name":"_var", "value":"markSize"}]
		},{
			"objName":"size_3",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsMarker"}, {"name":"_val", "value":5}, {"name":"_var", "value":"markSize"}]
		}]
	},{
		"objName":"color_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"frame":"1",
			"clickFunc":"clickColorBtn",
			"group":"activeBtns"
		},{
			"objName":"alpha_mc",
			"children":[{
				"objName":"txt",
				"initSettings":[{"name":"text", "value":"30%"}]
			}]
		},{
			"objName":"alphaUp_btn",
			"frame":"1",
			"clickFunc":"changeColorAlpha",
			"mouseDownFunc":"playSecondFrame",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":0.1}, {"name":"_var", "value":"colorAlpha"}]
		},{
			"objName":"alphaDown_btn",
			"frame":"1",
			"clickFunc":"changeColorAlpha",
			"mouseDownFunc":"playSecondFrame",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":-0.1}, {"name":"_var", "value":"colorAlpha"}]
		},{
			"objName":"color0",
			"frame":"2",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0xE1182A"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color1",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x0000FF"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color2",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x00CC00"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color3",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0xFF9900"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color4",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0xFF00FF"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color5",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x663300"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color6",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x000000"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color7",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x6600FF"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color8",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0xFFFF00"}, {"name":"_var", "value":"color"}]
		},{
			"objName":"color9",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsColors"}, {"name":"_val", "value":"0x00FFFF"}, {"name":"_var", "value":"color"}]
		}]
	},{
		"objName":"eraser_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"frame":"1",
			"clickFunc":"clickToErase",
			"initSettings":[{"name":"group", "value":"activeBtns"}, {"name":"_val", "value":"eraserSize"}, {"name":"_var", "value":"drawSize"}]
		},{
			"objName":"size_1",
			"frame":"2",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsEraser"}, {"name":"_val", "value":0.5}, {"name":"_var", "value":"eraserSize"}]
		},{
			"objName":"size_2",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsEraser"}, {"name":"_val", "value":1}, {"name":"_var", "value":"eraserSize"}]
		},{
			"objName":"size_3",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsEraser"}, {"name":"_val", "value":1.5}, {"name":"_var", "value":"eraserSize"}]
		},{
			"objName":"size_4",
			"frame":"1",
			"clickFunc":"clickSize",
			"initSettings":[{"name":"group", "value":"activeBtnsEraser"}, {"name":"_val", "value":2}, {"name":"_var", "value":"eraserSize"}]
		}]
	},{
		"objName":"undo_mc",
		"frame":"1",
		"clickFunc":"clickUndoRedo",
		"mouseDownFunc":"playSecondFrame",
		"mouseUpFunc":"playFirstFrame"
	},{
		"objName":"redo_mc",
		"frame":"1",
		"clickFunc":"clickUndoRedo",
		"mouseDownFunc":"playSecondFrame",
		"mouseUpFunc":"playFirstFrame"
	},{
		"objName":"zoom_mc",
		"frame":"1",
		"group":"expandables",
		"children":[{
			"objName":"inner",
			"frame":"1",
			"clickFunc":"clickZoom",
			"group":"activeBtns"
		},{
			"objName":"zoomTxt_mc",
			"children":[{
				"objName":"txt",
				"initSettings":[{"name":"text", "value":"100%"}]
			}]
		},{
			"objName":"zoomOut_btn",
			"frame":"1",
			"mouseDownFunc":"clickZoomInOut",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":-0.1}, {"name":"_var", "value":"zoomNum"}]
		},{
			"objName":"zoomIn_btn",
			"frame":"1",
			"mouseDownFunc":"clickZoomInOut",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":0.1}, {"name":"_var", "value":"zoomNum"}]
		},{
			"objName":"zoomDown_btn",
			"frame":"1",
			"mouseDownFunc":"clickZoomInOut",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":-0.1}, {"name":"_var", "value":"zoomNum"}]
		},{
			"objName":"zommUp_btn",
			"frame":"1",
			"mouseDownFunc":"clickZoomInOut",
			"mouseUpFunc":"playFirstFrame",
			"initSettings":[{"name":"_val", "value":0.1}, {"name":"_var", "value":"zoomNum"}]
		}]
	},{
		"objName":"sticky_mc",
		"frame":"1",
		"clickFunc":"clickSticky",
		"mouseDownFunc":"playSecondFrame",
		"mouseUpFunc":"playFirstFrame"
	},{
		"objName":"clock_mc",
		"frame":"1",
		"clickFunc":"clickClock"
	},{
		"objName":"curtain_mc",
		"frame":"1",
		"clickFunc":"clickCurtain"
	},{
		"objName":"keyboard_mc",
		"frame":"1",
		"clickFunc":"clickKeyboard"
	}
]